index_1

User Guide of the Printer Utility

Introduction and functions of the Printer Utility:

Introduction of the Printer Utility

Function list of the Printer Utility

Port Set

Logo Print

Bitmap Cut

Pre-Defined Back Side Printing

Pre-Defined Top/Bottom Message

Sample Print

Status Monitor

Firmware Download

User Command

Character Print

Eeprom Set

Sound Download

Sound Configuration

NetWinConfig

How to add a program to Exceptions


Introduction

1 . Introduction

This tool is used to show all the function and print effect of the printer. Please read the guide carefully before use the software.

2 . Operating system

32bit OS:

  • Windows 7
  • Windows Server 2008
  • Windows Vista
  • Windows Server 2003
  • Windows XP
  • Windows 2000

64bit OS:

  • Windows 7 x64
  • Windows Server 2008 x64
  • Windows Vista x64
  • Windows Server 2003 x64
  • Windows XP x64

3 . Printer

  • BTP-2001CP
  • BTP-2002CP
  • BTP-2002CPV
  • BTP-2002NP
  • BTP-98NP
  • BTP-98NPIV
  • BTP-99NP
  • BTP-L580
  • BTP-L580II
  • BTP-R180
  • BTP-R180II
  • BTP-R880NP
  • BTP-R880NPII
  • BTP-R980
  • BTP-R990
  • BTP-M170
  • BTP-M180
  • BTP-M2000G
  • BTP-M270
  • BTP-M280
  • BTP-M300
  • BTP-N58
  • BTP-R350
  • BTP-R358
  • BTP-R380
  • BTP-R580
  • BTP-R580II
  • BTP-R582
  • BTP-R680
  • BTP-U81
  • BTP-V88
  • U80II

4. Port

  • Serial
  • Parallel
  • USB
  • Ethernet
  • WIFI
  • Driver

5. Release information

Version : V1.51

Release date : 2014-02-20

Changes :

  • Add printer BTP-2002CPV,BTP-98NPIV,BTP-99NP,BTP-R180II,BTP-R582,BTP-R880NPII,BTP-U81,U80II

Version : V1.50

Release date : 2014-01-22

Changes :

  • Add printer BTP-R680,add IP port input area on open port dialog .

Version : V1.4 9

Release date : 2013-07-04

Changes :

  • Change the limit of the Left-Right margin settings in EEPSet.

Version : V1.481

Release date : 2013-05-13

Changes :

  • Support JPEG, PNG and GIF format picture convertion.
  • Add bitmap cut function. (How to use this function?)

Version : V1.48

Release date : 2012-12-24

Changes :

  • Add printer BTP-M300.

Version : V1.47

Release date : 2012-09-03

Changes :

  • Add printer BTP-R180 and add JK-E05.
  • Upgrade the version of BYNetWinConfig to V3.06.

Version : V1.46

Release date : 2012-06-08

Changes :

  • Resolve the problem of Bluetooth Password for printer BTP-R980 and printer BTP-R990.
  • Add EEPROM section of Bluetooth Password for printer BTP-R880NP, printer BTP-L580II, printer BTP-R580II and printer BTP-V88.
  • Resolve the problem of download gray bmp for printer BTP-L580II, printer BTP-R580II, printer BTP-V88, printer BTP-R980 and printer BTP-R990.

Version : V1.45

Release date : 2012-02-21

Changes :

  • Resolve some bug of printer BTP-R980 and printer BTP-R990.

Version : V1.44

Release date : 2012-02-07

Changes :

  • Add function of Sound and RTC for printer BTP-R980.
  • Add EEPROM section of Bluetooth Password and Sound Volume for printer BTP-R980.
  • Resolve the problem of 2ST mode for printer BTP-R990.

Version : V1.43

Release date : 2012-01-20

Changes :

  • Add function of custom Chinese character for printer BTP-R990.
  • Add EEPROM section of 2ST Mode Setting for printer BTP-R990.
  • Add function of bitmap scaling for Logo page.

Version : V1.42

Release date : 2011-11-24

Changes :

  • Add printer BTP-L580II and printer BTP-R990.

Version : V1.41

Release date : 2011-10-21

Changes :

  • Add printer printer BTP-R580II, printer BTP-R980 and printer BTP-V88.

Version: V1.40

Release date : 2010-12-16

Changes :

  • Add the function of Status Monitor.
  • Support 64bit system.

Version: V1.39

Release date : 2010-10-21

Changes :

  • Upgrade the function of Eeprom Set for BTP-R880NP.
  • Upgrade the function of user command.

Version : V1.38

Release date : 2010-08-19

Changes :

  • Add printer BTP-N58.
  • Add the function of user command.
  • Add the function of downloading gray logo for BTP-R880NP.

Version : V1.37

Release date : 2010-06-12

Changes :

  • Add printer BTP-R880NP.

Version : V1.36

Release date : 2010-01-15

Changes :

  • Add the function of user-defined font for BTP-R580.

Version : V1.35

Release date : 2009-10-28

Changes :

  • Add printer BTP-L580.
  • Change the default printer to BTP-2002NP.
  • Add EEPROM section of watermark for BTP-R380 and BTP-98NP.
  • Add EEPROM section of RightSideUp for BTP-98NP.
  • Resolve the problem of the RightSideUp function for BTP-R580.
  • Upgrade the edition of BYNetWinConfig to V3.03.
  • Resolve the problem of codepage and user-defined font.

Version : V1.34

Release date : 2009-04-23

Changes :

  • Add printer BTP-M2000G. Support Samples printing and file download.

Version : V1.33

Release date : 2009-01-23

Changes :

  • Change printer name 'BTP-R180' to 'BTP-98NP'.

Version : V1.32

Release date : 2009-01-08

Changes :

  • Add the function of printing the Water Mark sample.
  • Add the NetWinConfig program in the Utility.
  • Add the User-defined font edit and download function for the BTP-2002NP.
  • The function of CodePage support the NibblePAR LPT.
  • Resolve the problem of printing the sample of BTP-M280.

Version : V1.31

Release date : 2008-08-26

Changes :

  • Change printer name 'BTP-2002CPII' to 'BTP-2002CP'.
  • Change logo print size name.
  • Add Windows Vista OS support.

Version : V1.30

Release date : 2008-07-24

Changes :

  • Add printer BTP-R180.
  • Add printer BTP-M280 Eeprom set support.
  • Add ethernet codepage support.

Version : V1.29

Release date : 2008-05-06

Changes :

  • Resolve the problem of downloading Logo with the baud rate 115200.

Version : V1.28

Release date : 2008-3-28

Changes :

  • Cancel Logo size download limited.

Version : V1.27

Release date : 2008-1-28

Changes :

  • Add printer BTP-M180.

Version : V1.26

Release date : 2007-12-17

Changes :

  • Add Eeprom set function.

Version : V1.25

Release date : 2007-09-06

Changes :

  • Add sample to print PDF417 for BTP-R580
  • change the size of BTP-R580's ram to 12K, change the size of BTP-R580's flash to 256K

Version : V1.24

Release date : 2007-07-19

Changes :

  • Add printer BTP-M280

Version : V1.231

Release date : 2007-08-08

Changes :

  • Correct document.

Version : V1.23

Release date : 2007-05-31

Changes :

  • Change the warning information when the bitmap that is opening is not allowed.

Version : V1.22

Release date : 2007-01-18

Changes :

  • Add function to support driver;
  • Change the skin and the interface of the Printer Utility;
  • Optimize the function of code page edit;
  • Amend the frame of the software in order to add or remove printers by read INI file.

Version : V1.21

Release date : 2006-09-01

Changes :

  • Change interface of the Printer Utility, such as image ,control position and so on.

Version : V1.20

Release date : 2006-07-25

Changes :

  • Increase support to Ethernet port and BTP-R358 printer;
  • Changes as follows: Limit to total size and numbers of download files;
  • Filtrate bitmap file name which include Chinese character;
  • Change method of storage bitmap data from statically store data to dynamically store data based on the size of bitmap.

Version : V1.0

Release date : 2006-04-10

Changes :

  • First release of the Printer Utility.


index_2

Function list of the Printer Utility:

Port Set

Logo Print

Pre-Defined Back Side Printing

Pre-Defined Top/Bottom Message

Sample Print

Firmware Download

Status Monitor

User Command

Character Print

Eeprom Set

Sound Download

Sound Configuration

NetWinConfig


Port Setting

Port Set

Port set is precondition for using the Printer Utility to operate the printer. Only after the software is connected to the printer rightly, users can do other operations. This operation include four steps as follows: Enter the main page; enter port set page; select the printer's name and the port In the combo box, and then configure the printer according to port type of the printer; click "OK" button to open the port.

Note: In Windows Vista and Windows 7, if UAC (User Account Control) is turned on, you may have to start this application by 'Run as administrator' so that all functions will performance correctly (shown as below).

Step 1 : Enter the main page

Execute Utility.exe and then enter the main page (shown as below).

Notices: Because you have not connected to printer, so some buttons and menu items are disable!

Step 2 : Enter port set page

There are three methods to enter "Port Set" page

a) Click "Port Set" button

b) Click "Port Set(S) " >> "Set Port Ctrl+P" on menu

c) Press shortcut key "Ctrl+P"

Step 3 : Select the printer's name and the port In the combo box, and then configure the printer according to port type of the printer

Select the name of printer in the combo box "Printer Name" and the following introductions take example for printer "BTP-2002NP". There are five port setting areas: "COM Setting" area, "LPT Setting" area, "USB Setting" area, "Net Setting" and "Driver Selecting" area. In "Port Type" combo box , the ports your printer supported are listed, then you can select the port in "Port Type" combo box and the port's setting area is enabled.

1) When "COM" is selected, the "COM Setting" area is enabled. Please configure "COM Setting" area according to current printer status;

2) When "LPT" is selected, the "LPT Setting" area is enabled. Please select port number in "LPT Setting" area;

3) When "USB" is selected, the "USB Setting" area is enabled. Please select USB port number in "USB Setting" area;

Notices: When use USB port, please ensure that the USB port has connected to computer before enter the configuration interface.

4) When "Ethernet" or "WIFI" is selected, the "Net Setting" area is enabled. There are two methods to obtain IP address for the printer;

i ) Click "Set IP" button and input IP address of the printer;

ii) Click "Auto Get IP" button, the software will search network printer in local area network and list the IP address of them in combo box, then select the right printer in the IP address list;

Notices: When use Ethernet port, please add the "Utility.exe" program to Exceptions of Windows Firewall first. Please refer to "How to add a program to Exceptions".

5) When "Driver" is selected, the "Driver Selecting" area is enabled. Please select the driver name in combo box.

Step 4 : Click "OK" button to open the port

1) If open port successful, the software close port set page and return to main page, then configure usability of button and menu according to the current printer and the port type (shown as below).

Notices: Some functions are not supported for some printers and some port types, so some buttons and menu items are disable!.

2) If open port failed, the software will show an error message (as below) and return to "Port Set" page.

Notices:

a. If you use USB port, please install USB port driver with administrator user account first.

b. If open Ethernet port failed and the software show an error message as below, please add the "Utility.exe" program to Exceptions of Windows Firewall and try again.

Please refer to "How to add a program to Exceptions".


Logo Print

Logo print can process 24-bytes color bitmap, monochrome bitmap and gray bitmap, it has four kinds of image process as follows:

1) Four methods to convert color bitmap or gray bitmap to monochrome bitmap.

2) Adjust brightness of image.

3) Adjust contrast of image.

4) Adjust size of image and position of image.

Notices: Before the operation, please ensure you had set port parameter correctly and had connected to the printer, otherwise the operation is forbidden. Set port please refer to "Port set" page.

This operation include five steps as follows: Enter logo print page; click "Open Files" button and select bitmap files in "Open Files" dialog; image process; download bitmap to printer; print logo.

Note: There is space limit for Logo downloading. If the total size of all selected logos is beyond the limit, some logos can not be downloaded successfully.

Space limit depends on the printer configuration and please refer to the printer self-test page "FLASH: LOGOS/FONTS" for maximum available space.

Step 1 : Enter logo print page

There are three methods to enter "Logo" page

a) Click "Logo" button

b) Click "Logo(L)" >> "Logo Download Ctrl+L" on menu

c) Press shortcut key "Ctrl+L"

Step 2 : Click "Open Files" button and select bitmap files in "Open Files" dialog

1) Click "Open Files" button and enter the "Open Files" dialog.

Notices:

a. If the current printer you selected is thermal printer, the default directory of the logos is "Thermal"; if the current printer you selected is impact printer, the default directory of the logos is "Impact";

b. If the bitmap file extend the maximal logo size, the page will show a message box and convert the size to normal size. The maximal logo size of the printer is:

Printer | Max Width (dots) | Max Height (dots)
BTP-2001CP | 640 | 768
BTP-2002CP | 640 | 768
BTP-2002NP | 640 | 768
BTP-R880NP | 640 | 768
BTP-R180 | 510 | 768
BTP-98NP | 640 | 768
BTP-R980 | 640 | 768
BTP-R990 | 640 | 768
BTP-M170 | 420 | 768
BTP-M270 | 420 | 768
BTP-M180 ------ ------
BTP-M280 | 640 | 288
BTP-M2000G ------ ------
BTP-R350 | 448 | 768
BTP-R358 | 448 | 768
BTP-R380 | 640 | 768
BTP-N58 | 384 | 768
BTP-R580 | 640 | 768
BTP-L580 | 640 | 768
BTP-R580II | 640 | 768
BTP-V88 | 640 | 768
BTP-L580II | 640 | 768

2) Enter the folder and select one or more bitmap files, click "Open" button, the selected files will be added to the list of "Logo Select and Preview" (shown as below).

Notices:

a. If you want to delete all the opened bitmap files, please click "Remove All" button;

b. If you want to delete selected bitmap files, please select files first, then click "Remove Sel" button;

c. If you want to preview bitmap files, please select a bitmap file in list view box and then image will be shown at right side;

d. If the bitmap file is extend the printer memory, the software will ignore the file. In the list view box, you will see the rightful files;

e. If you want to clear all logos in printer's flash memory, please click "Clear Logo" button.

Step 3 : Image process

Printer only can print monochrome bitmap and gray bitmap (only for some printers), so if use a color bitmap, program need to convert it to monochrome bitmap or gray bitmap.

The method for convert color image or gray bitmap to monochrome bitmap is as follows:

1) Select the color bitmap or gray bitmap to be download in the list box and the color bitmap adjusting area is enabled, you can select multiple lines with the shift key;

2) Select "Transformation" radio button in "Preview" area at left bottom corner of the form;

3) There are four methods to convert color bitmap to monochrome bitmap in "HalfTone" area, please select one of them and monochrome bitmap which converted from color bitmap will show at upper right corner;

4) Adjust the brightness and contract of the bitmap in "Contrast and Brightness" area.

Notices: If the file is color bitmap or gray bitmap, the "HalfTone" is enabled when you selected "Transformation" radio button in "Preview" area.

Step 4 : Download bitmap to printer

1) Select memory type:

a. If you want to download bitmap to RAM, please select Ram in "Memory" area;

b. If you want to download bitmap to Flash, please select Flash in "Memory" area.

2) Click "Download" button to download bitmap:

While downloading files, the below form is shown:

If the software write port failed, the software will show a message box:

If the software downloading files successful, the downloading files form will be closed and the printer will formfeed.

Step 5 : Print logo

1) Select files to be printed in list view box;

2) Select size of the logos to print in "Logo Print" area;

3) Click "Print" button to print the bitmap files you have selected.

Notices: If no file is selected, the printer will print nothing and there will be a message as below.


Logo Print

How to use the "Bitmap Cut" function?

The new function can cut the bitmap among empty areas, you should use this function as below:

1) How to cut single-color-bitmap?

2) How to cut other format pictures?

Notices: Only support single-color-bitmap directly cut ,if you want to cut others format like jpeg, png or multi-color-bitmap and so on. You must convert it to single-color-bitmap first and reload it.

1: How to cut single-color-bitmap?

Step 1 : Enter logo print page

There are three methods to enter "Logo" page

a) Click "Logo" button

b) Click "Logo(L)" >> "Logo Download Ctrl+L" on menu

c) Press shortcut key "Ctrl+L"

Step 2 : Click "Open Files" button and select bitmap files in "Open Files" dialog

1) Click "Open Files" button and enter the "Open Files" dialog, select the bitmap named "Lion.bmp".

2) Select the bitmap and click "Cut the Bitmap Among Empty Areas" (shown as below).

Step 3 : Image process

1) After you click the check box ,utility will call the execute file to process the bitmap, if success, it will give out a message box as below ;

2) Click "OK" and utility will open the file then click "Open" to reload the new bitmap;

3) Then you will found that the new bitmap was cut as below:

Step 4 : Download bitmap to printer

1) Select memory type:

a. If you want to download bitmap to RAM, please select Ram in "Memory" area;

b. If you want to download bitmap to Flash, please select Flash in "Memory" area.

2) Click "Download" button to download bitmap:

While downloading files, the below form is shown:

If the software write port failed, the software will show a message box:

If the software downloading files successful, the downloading files form will be closed and the printer will formfeed.

Step 5 : Print logo

1) Select files to be printed in list view box;

2) Select size of the logos to print in "Logo Print" area;

3) Click "Print" button to print the bitmap files you have selected.

Notices: If no file is selected, the printer will print nothing and there will be a message as below.

2: How to cut other format pictures?

Step 2 : Click "Open Files" button and select bitmap files in "Open Files" dialog

1) Click "Open Files" button and enter the "Open Files" dialog, select the JPEG file named "1_focuswe.jpg".

2) Click "Transformation" in "Preview" and then Click "Remove Sel" to remove the jpg file(shown as below).

Step 3 : Image process

1) Click "Open Files" to reload the new bitmap file as below :

2) Click "Transformation" and Then Click the "Cut the Bitmap Among Empty Areas" Check box just as below show:

3) Then you will found the message box as below:

4) Then you should click "Open" and reload the bitmap as below show:

Step 4 :Download the bitmap to the printer.

see download bitmap to printer.


Back Side Printing

Pre-Defined Back Side Printing

The main function of this part include: Select bmp and preview, edit image, image set and download, clear data and print data.

Notices: 1.Before the operation, please ensure you had set port parameter correctly and had connected to the printer, otherwise the operation is forbidden. Port set please refer to " Port set " page.

2.This function is used for printing bitmap in back side of 2ST paper and is valid for printer BTP-R990 now.

Select the "Pre-Defined Back Side Printing" item before entering back side printing page and click "OK" button as follows.

This operation include five steps as follows: Enter pre-defined back side printing page; click "Open Files" button and select bitmap file in "Open Files" dialog; image process; download pre-defined bitmap to printer; print pre-defined back side bitmap.

Step 1 : Enter pre-defined back side printing page

There are three methods to enter "Pre-Defined" page

a) Click "Pre-Defined" button

b) Click "Tools(T)" >> "Pre-Defined Data Shift+Ctrl+P" on menu

c) Press shortcut key "Shift+Ctrl+P"

Step 2 : Click "Open Files" button and select bitmap file in "Open Files" dialog

1) Click "Open File" button and enter the "Open Files" dialog.

Notices:

a. The default directory of the bitmap files is "Pre-Defined".

b. You can select only one bitmap file from the "Open Files" dialog.

c. The maximal bitmap size of the printer is:

Printer | Max Width (dots) | Max Height (dots)
BTP-R990 | 640 | 768

2) Enter the folder of the file and select one file, click "Open" button, the selected file will be added to the list of "Bmp Select and Preview" (shown as below).

Notices:

a. If you want to edit the bmp file, you can click "Edit File" button to open the application of "Paint.exe". When finish editing, click "File" >> "Save" to save current bmp (please do not click "Save As" here);

b. If you have edited bmp file, you can click "Refresh File" to refresh current image in preview area;

c. If you want to delete the opened bitmap file, please click "Remove File" button;

d. If you want to select another bitmap, please first click "Remove File" button to delete the bitmap in list view box (because the printer BTP-R990 support download only one bitmap file);

e. If you want to clear the pre-defined data in printer's flash memory, please click "Clear" button.

Step 3 : Image process

Printer can print monochrome bitmap as pre-defined data only, so if use a color bitmap or a 8 bit gray bitmap, you need to convert it to monochrome bitmap.

The method for convert color bitmap or gray bitmap to monochrome bitmap is as follows:

1) Select the color bitmap or gray bitmap to be download in the list box;

2) Select "Transformation" radio button in "Preview" area at left bottom corner of the form;

3) There are four methods to convert color image to monochrome bitmap in "HalfTone" area, please select one of them and monochrome bitmap which converted from color bitmap will be shown at upper right corner;

4) Adjust the contract and brightness of the bitmap in "Contrast and Brightness" area.

Notices: If the file is a color bitmap or gray bitmap, the "HalfTone" is enabled when you selected "Transformation" radio button in "Preview" area.

Step 4 : Download pre-defined bitmap to printer

1) Select download position in "Download Position" area at right bottom corner of the form.

2) Click "Download" button to download pre-defined bitmap:

While downloading file, the below form is shown.

If the software write port failed, the software will show a message box:

If the software downloading file successful, the downloading file form will be closed and the printer will formfeed.

Step 5 : Print pre-defined back side bitmap

After downloading bitmap successfully, the "Print" button is enabled then click it to print the bitmap you have selected.

Notices: If you want to use "pre-defined back side bitmap" in your custom sample, please ensure you had set printer as "Duplex Predefined Image" mode in "Eeprom Set" --> "Advance Function" --> "2ST Mode Setting" --> "Power-On Mode".


Top/Bottom Message

Pre-Defined Top/Bottom Message

The main function of this part include: Edit top/bottom message, download message to printer, print sample and clear message.

Notices: 1.Before the operation, please ensure you had set port parameter correctly and had connected to the printer, otherwise the operation is forbidden. Port set please refer to " Port set " page.

2.This function is used for printing top/bottom message in two side mode and is valid for printer BTP-R990 now.

Select the "Pre-Defined Top/Bottom Message" item before entering pre-defined top/bottom message page and click "OK" button as follows.

This operation include four steps as follows: Enter pre-defined top/bottom message page; click "Edit" button and edit message context and message attribute; download top/bottom message to printer; print sample.

Step 1 : Enter pre-defined top/bottom message page

There are three methods to enter "Pre-Defined" page

a) Click "Pre-Defined" button

b) Click "Tools(T)" >> "Pre-Defined Data Shift+Ctrl+P" on menu

c) Press shortcut key "Shift+Ctrl+P"

Notices: The "Reprint Message" function in "Edit Top/Bottom Message" area is reserved.

Step 2 : Click "Edit" button and edit message context and message attribute

1) Click "Edit" button and enter the edit top/bottom message page.

2) Input a line of text in the edit box then set font attributes in the "Font Attributes" area.

Notices:

a. The "Color" option in "Font Attributes" area is reserved.

b. You can input 60 characters in the edit box at most, but the printer will ignore the part of extend a line when printing.

3) Click "OK" button to save your setting.

Notices:

a. If you want to clear the content in current interface, please click "Clear Content" button.

b. If you want to clear the current message line in printer's flash memory, please click "Clear Flash" button.

c. If the content of text you input is null, the printer will not download this message line.

Step 3 : Download top/bottom message to printer

Click "Download" button to download message to printer.

While downloading files, the below form is shown.

If the software write port failed, the software will show a message box:

Step 4 : Print sample

Click "Print Sample" button to print 2st sample.

Notice:

a. If you want to clear all the message lines in printer's flash memory, please click "Clear All" button.

b. If you have cleared all the message line in printer's flash memory before you click "Print Sample" button, the printer will print sample without message line information.

If the software write port failed, the software will show a message box:


Sample Print

The main function of this part include: Print sample in print program, print data stored in files, set cut mode (If there is a cutter).

This operation include there steps as follows: Enter sample print page; print "Predefined" sample; print "User defined" sample.

Notices: Before the operation, please ensure you had set port parameter correctly and had connected to the printer, otherwise the operation is forbidden. Set port please refer to " Port set " page.

Step 1 : Enter sample print page

There are three methods to enter "Samples Print" page

a) Click "Samples" button

b) Click "Demo (E)" >> "Print Samples Ctrl+S" on menu

c) Press shortcut key "Ctrl+S"

Notices:

1) "Cut mode" area is enabled if there is a cutter in printer, then you can select cut mode.

2) Herald is enabled if there is an Alarm connected to printer and you can select it.

3) How to config the Water Mark parameters:

If the Printer support the Water Mark function, you should check the Water Mark box.

If you have checked the Water Mark box, the "Config" button will be enabled and click it to config the Water Mark parameters.

Printing Mode: Change the Water Mark printing mode. If you select "Printing", the printer will print the Water Mark when printing, else the printer will always print the Water Mark.
Align: Change the Water Mark aligning mode: left sides, right sides or centered.
Size of Width: Set the width of the Water Mark. You could set the width from one time to six times.
Size of Height: Set the height of the Water Mark. You could set the height from one time to six times.
Printing Logo: Select the logo in the flash of the printer as the Water Mark logo. If no logo in the flash, the printer will not print the Water Mark.
Brightness: Set the brightness(0-255) of the Water Mark.

Step 2 : Print "Predefined" samples

1) Select cut mode;

2) Select Herald mode;

3) Select "Print Sample ID" if you want the printer print sample number before the sample;

4) Select the items in list view box and you can select multiple lines with the shift key;

5) Click "Print samples" and then the printer will print the samples you selected;

Step 3 : Print "User defined" sample

1) Click "User defined" page to enter the page (shown as below).

2) Click "Open Files" to enter "Open Files" dialog, select and open the sample files (The filter of file is *.prn):

3) Select the items in list view box; if you want to print sample ID, please check "Print Sample ID"; click "Print Samples" button and the printer will show "Downloading files form" and print your sample;

Notices: If write port failed, the software will show a message:


Firmware Download

The main function of this part include: Select file's type, select file, download file to printer. In this page, user can download types of file to printer as follows:

1. Firmware file(*.JK)

2. Character file (*.ZK)

3. Font file (*.FNT)

4. Eeprom file (*.EEP)

5. All file (*.*)

Firmware download include three steps as follows: Enter firmware download page; select file type and open the file; click "Download" button to download.

Notices: Before the operation, please ensure you had set port parameter correctly and connected to the printer, otherwise the operation is forbidden. Set port please refer to "Port set" page.

Step 1 : Enter firmware download page

There are three methods to enter "Firmware Download" page

a) Click "FW Download" button

b) Click "Tools (T)" >> "Firmware Download Ctrl+F" on menu

c) Press shortcut key "Ctrl+F"

Step 2 : Select file type and open the file

1) Select the file's filter In "Select File Type" area;

2) Click "Open" button to open the file (shown as below).

Notices: After open file successful, the "Download" button is enabled.

Step 3 : Download file

Click the "Download" button to download file to printer.

While downloading files, the below form is shown.

Notices: If write port failed, the software will show a message:


Status Monitor

The main function of this part is get current status of printer.

Status Monitor include two steps as follows: Enter Status Monitor page; monitor the status of printer.

Notices: Before the operation, please ensure you had set port parameter correctly and had connected to the printer, otherwise the operation is forbidden. Set port please refer to " Port set " page.

Step 1: Enter Status Monitor page

There are three methods to enter "Status Monitor" page

a) Click "Status Monitor" button

b) Click "Tools" -> "Status Monitor Ctrl+T" on menu

c) Press shortcut key "Ctrl+T"

Step 2: Monitor the status of printer

Click "Start" button to start to monitor the status of printer (click "Stop" button to stop to monitor the status of printer).

 You will see the following program windows (If you have previous built the communication between printer and PC successfully).

Cash Drawer Open: when the light is in [image] state, it detects the printer's Cash Drawer is not open, but when the light's state changes to [image], it detects the printer's Cash Drawer is open.

Offline: when the light is in [image] state, it detects the printer is online, but when the light's state changes to [image], it detects the printer is offline.

Door Open: when the light is in [image] state, it detects the printer's door is not open, but when the light's state changes to [image], it detects the printer's door is open.

Feeding: when the light is in [image] state, it detects the printer's Feed button is not pressed, but when the light's state changes to [image], it detects the printer's Feed button is pressed.

Paper Near End: when the light is in [image] state, it detects the printer's paper is not in near end status, but when the light's state changes to [image], it detects the printer's paper is near end.

Paper End: when the light is in [image] state, it detects the printer's paper is not end, but when the light's state changes to [image], it detects the printer has no paper.

Cutter Error: when the light is in [image] state, it detects there is not cutter error, but when the light's state changes to [image], it detects the printer has cutter error.


User Command

The function of this part include: Input area, receive area, notice area, command area, print file area and rtc function area (only for printer BTP-R980 and printer BTP-R990).

Notices: Before the operation, please ensure you had set port parameter correctly and had connected to the printer, otherwise the operation is forbidden. Set port please refer to " Port set " page.

Step 1: Enter User Command page

There are three methods to enter "User Command" page

a) Click "User Command" button

b) Click "Tools" -> "User Command Ctrl+U" on menu

c) Press shortcut key "Ctrl+U"

Input:
You can input commands in the input area. You also can click button "Open File" to select a file to be printed to the printer.
Click "Save File" to save the commands that you have edited to a file.
Receive:
Click "Display" button to receive the data returned by the printer.
Command:
Click the buttons to control the printer.
Notice:
Display whether your command have been sent successfully.
Print File:
Click button "Select File" to select a file to be printed to the printer, then click "Print File" to download your selected file to the printer.
You can input print times in the "Print Times" area and "Counter" area will show you a counter of printing.
RTC Function:
 Only printer BTP-R980 and printer BTP-R990 support Read-time Clock function in right bottom of the interface (shown as below).

1)Click button "RTC" and enter the "RTC Function" dialog (shown as below).

2)You can click button "Query Time" to get current time of Real-time Clock.

3)You can click button "Set Time" to set current time of Real-time Clock.

4)You can click button "Print Time" to print current time of Real-time Clock.


Character Print

The font pattern's creating and printing

The main function of this part include: Create the font pattern, select download area, check the status of printer download area, download font pattern to printer, print created font pattern.

Notices: 1. Before the operation, please ensure you had set port parameter correctly and had connected to the printer, otherwise the operation is forbidden. Port set please refer to " Port set " page.

2. The guide of the User-defined font is same as the Code Page.

Select the Character Type before entering code page/user-defined font as follows.

This operation include six steps as follows: Enter code page; create font file; select and open font file; select download area; click "Download To Printer" button to download; click "Print And Set Default" button to print code page character.

Step 1 : Enter code page

There are three methods to enter "Code Page" page

a) Click "Code Pages" button

b) Click "Tools(T)" >> "Code Pages Ctrl+O" on menu

c) Press shortcut key "Ctrl+O"

Step 2 : Create font file

Click "New File" button, then enter "Save File" dialog to create font file (shown as below).

1) Select file path to saved to;

2) Name the file;

3) Select "File type" :12*24 or 9*17;

4) Click "Save" button to save the file;

Notices: If the font file edited already exists, please overleap this step and enter step 3 directly.

Step 3 : Select and open font file

1) Click "Open File" button, enter "Open File" dialog to open font file (shown as below).

2) Select the file to be opened, click "Open" button (here take a *.12X24 file as example), then you will see the following forms:

3) Grid part (size is 16 * 8) on the left is character showing area, every grid shows a character. You can select one character and you will see the character in big size on the right rectangular area (shown as below).

4) You can create new pattern on the right rectangular area with mouse.

Notices: You can mark font pattern by left button of mouse and you can erase font pattern by right button
of mouse. And you can Cut function, Copy function, Paste function and Clear function when you
specify the Range Tool by the speed button as follows.
1. Specify the copy area.
2. Use Copy function.
3. Move the active windows to edit window.
4. Push the "Paste" button on tool bar.

Please click "Save To File" button to save the character after editing.

Step 4 : Select download area

1) Select character download area in printer with "Code Page ID" and "Download Area ID";

Notice: For partial printers with a new firmware, the parameter 'Download Area ID' will be ignored when you download a codepage!

2) You can check the download area status by click "Download Area Status" button, and the status will be shown on the lower left corner.

The status indicate:

a. The first page in first area stores a code page whose character size is 12*24;

b. The other areas are idle.

Notices: You can clear all the code pages of the printer by click "Clear All Code Pages" button.

Step 5 : Click "Download To Printer" button to download

In downloading process, the mouse is in busy status. The guage above "Download To Printer" button shows the download status. After finished, the printer will make a feed action and the mouse comeback to idle status.

Notices: Some Printers have not opened this function and the printer begins to print after you clicked download button, then please click the "Enable Code Pages Function" menu item to have the function.

Step 6 : Click "Print And Set Default" button to print code page character

Notice: For partial printers with an older firmware, if the printer has two codepages with the same Font Type and Code Type ID, you could only print the one that in the high Download Area!


Eeprom Set

The main function of this part is set relative parameters of Eeprom of the printer.

Eeprom set include three steps as follows: Enter eeprom set page; configure settings of the printer; save settings of the printer.

Notices: 1.Before the operation, please ensure you had set port parameter correctly and had connected to the printer, otherwise the operation is forbidden. Port set please refer to " Port set " page.

2.The following introduction takes BTP-2002NP for example (the interface of different printers may be different).

Step 1 : Enter eeprom set page

There are three methods to enter "Eeprom Set" page

a) Click "Eeprom Set" button

b) Click "Tools (T)" >> "Eeprom Set Ctrl+R" on menu

c) Press shortcut key "Ctrl+R"

Notices: There's a password before use the eeprom set function, please contact the dealer to get it.

Step 2 : Configure settings of the printer

There are two methods to configure settings of the printer.

1) Click "Get Settings From Printer" button to get the printer's current settings, configure the settings you want.

2) Click "Import Settings From File..." button to import the printer settings file.

Notices: 1.You can also export the eeprom settings to file with suffix "pes", using the "Export Settings To File..." button.

2. It may take a long time to get the eeprom settings from the printer, please don't operate the printer until the software show a message box.

Step 3 : Save settings of the printer

Click the "Save Settings To Printer" button to save the settings to printer.

Notices: It will take a long time to set the eeprom settings to the printer, please don't operate the printer until the printer feeds paper.


Sound Download

The main function of this part is download audio files (.wav files) to the printer. If you want to configuration the audio of printer, please refer to "Sound Configuration" page.

Notices: 1.Before the operation, please ensure you had set port parameter correctly and had connected to the printer, otherwise the operation is forbidden. Port set please refer to " Port set " page.

2.This function is valid for printer BTP-R980 and BTP-R990 now.

This operation include six steps as follows: Enter sound download page; select the audio file to download; testing audio files; download audio file to printer; checking the audio files that have been downloaded to the printer; exporting and importing settings.

Step 1 : Enter sound download page

There are three methods to enter "Sound" page

a) Click "Sound" button

b) Click "Tools(T)" >> "Sound Shift+Ctrl+S" on menu

c) Press shortcut key "Shift+Ctrl+S"

Step 2 : Select the audio file to download

1) Click "Add" button and enter the "Open Files" dialog.

Notices:

a. The default directory of the wav files is "English"; if you want to add Chinese wav files, enter the "Chinese" directory;

b. The sample rate of wav file is between 8000 Hz and 24000 Hz, the sample size is 16 bit and the channel is mono;

c. The maximal size of all Wav files is 1536K bytes.

2) Enter the folder and select one or more wav files, click "Open" button, the selected files will be added to the list of wav file (shown as below).

Notices:

a. If you want to delete the opened wav files, please click "Remove All" button;

d. If you want to delete selected wav files, please select files first, then click "Remove Sel" button;

e. If you want to change the order of the audio files in the audio data list, choose a file, and click 'Up' or 'Down'.

d. The audio files are downloaded to the printer in the order specified by the 'Sound No' settings in the audio data list. 'Sound No' is used to specify which audio file to play back.

Step 3 : Testing Audio Files

You can check an audio file in the audio data list by playing it (shown as below).

Notices:

a. From the audio data list, choose the audio file that you want to test, and click [image] from "Pre-Download Check" area. Your PC will play the file. To stop the audio file that is playing, click [image];

b. If the 'Printer Speaker' check box is selected, the audio file is played from the printer. If the check box is selected, you cannot use the [image] button;

c. Before testing audio files from PC, please make sure your PC can play back audio files.

Step 4 : Download audio file to printer

1) Click 'Store Sounds' to download the files in the audio data list to the printer.

While downloading file, the below form is shown.

If the software write port failed, the software will show a message box:

If the files are downloaded successfully, the downloading files form will be closed and the printer will formfeed.

Notices: If you want to clear all the audio files in printer's flash memory, please click "Clear All" button.

Step 5 : Checking the audio files that have been downloaded to the printer

1) In the "Sound No" box under "Post-Download Check", enter the number of the audio file that you want to play back, and click [image] to play it from the printer.

Notices: If the sound number that you enter is not stored on the printer, the software will show you a message box.

Step 6 : Exporting and importing settings

You can export the settings to use them again later or to apply the same settings to another printer.

1) Click "Export" to display the "Save As" window. Specify the file name, and save the contents of the audio data list as an ini file (.ini).

When you do this, a folder with the same name as the file name that you specified is created, and the audio files (.wav files) in the audio data list are copied into that folder;

2) Click "Import" to show the "Open" window. You can select an ini file that you exported before. Be sure to place the folder that contains the audio files that were created during exporting in the same folder as the ini file that you are importing.

Select the file you want to import, and then click 'Open' to display the contents of the imported file on the configuration window. To use these settings to download audio files, click 'Store Sounds' to download the files to the printer.


Sound Configuration

The main function of this part is to change the printer's settings for the audio that is played back when events (such as errors) occur. If you want to download the audio files to printer, please refer to "Sound Download" page.

Notices: 1.Before the operation, please ensure you had set port parameter correctly and had connected to the printer, otherwise the operation is forbidden. Port set please refer to " Port set " page.

2.This function is valid for printer BTP-R980 and BTP-R990 now.

This operation include four steps as follows: Enter sound configuration page; get the printer's current settings; audio configuration; exporting and importing settings.

Step 1 : Enter sound configuration page

There are three methods to enter "Sound" page

a) Click "Sound" button

b) Click "Tools(T)" >> "Sound Shift+Ctrl+S" on menu

c) Press shortcut key "Shift+Ctrl+S"

Step 2 : Get the printer's current settings

1) Click "Get Settings" button to get the printer's current settings.

If get audio configuration successfully, the software will show a message box:

Notices:

a. If get successfully, the left combo box and list area display current audio configuration of printer;

b. After get successfully, the "Save Settings" button is valid.

Step 3 : Audio configuration

1) In the left combo box area, configure audio files for each status. Click [image] under "Test" of each status to hear the audio through the printer speaker.

2) Click "Save Settings" button to save the settings to the printer.

Notices:

a. The settings of attribute "Repeat", attribute "Interval" and attribute "Delay" is invalid for the [image] button;

b. After save successfully, the printer will formfeed.

Step 4 : Exporting and importing settings

You can export the settings to use them again later or to apply the same settings to another printer.

1) Click "Export Settings" to display the 'Save As' window. Specify the file name, and save the audio configuration settings as a hexadecimal file (.pes).

2) Click "Import Settings" to show the "Open" window. You can select .pes files.

Select the file you want to import, and then click 'Open' to display the settings from the imported file on the configuration window.

To apply these audio configuration settings to the printer, click 'Save Settings' to save the settings to the printer.


NetWinConfig

The function of this part is used to config the net interface card. For more information, please refer to the help file in the current directory of "Printer Utility Vx.xx\BYNetWinConfig\BYNetWinConfig_EN.chm".

Notice: If can not print test page, please check whether the Ethernet printer has been opened by another application or not.


Port Setting

Appendix: Functions Supported

BTP-2001CP

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | Yes | No | Yes | Yes | Yes | Yes | No | No | No
Parallel Port | Yes | No | Yes | Yes | No | Yes | No | No | No
USB Port | Yes | No | Yes | Yes | Yes | Yes | No | No | No
Driver Port | Yes | No | Yes | Yes | No | Yes | No | No | No

BTP-2002CP

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | Yes | No | Yes | Yes | Yes | Yes | Yes | No | No
Parallel Port | Yes | No | Yes | Yes | No | Yes | No | No | No
USB Port | Yes | No | Yes | Yes | Yes | Yes | Yes | No | No
Ethernet Port | Yes | No | Yes | Yes | No | Yes | Yes | No | No
Driver Port | Yes | No | Yes | Yes | No | Yes | No | No | No

BTP-2002NP

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
Parallel Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
USB Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
Ethernet Port | Yes | No | Yes | Yes | No | Yes | Yes | Yes | No
WIFI Port | Yes | No | Yes | Yes | No | Yes | No | Yes | No
Driver Port | Yes | No | Yes | Yes | No | Yes | No | No | No

BTP-98NP

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
Parallel Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
USB Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
Ethernet Port | Yes | No | Yes | Yes | No | Yes | Yes | Yes | No
WIFI Port | Yes | No | Yes | Yes | No | Yes | No | Yes | No
Driver Port | Yes | No | Yes | Yes | No | Yes | No | No | No

BTP-R880NP

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
Parallel Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
USB Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
Ethernet Port | Yes | No | Yes | Yes | No | Yes | Yes | Yes | No
WIFI Port | Yes | No | Yes | Yes | No | Yes | No | Yes | No
Driver Port | Yes | No | Yes | Yes | No | Yes | No | No | No

BTP-R180

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
Parallel Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
USB Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
Ethernet Port | Yes | No | Yes | Yes | No | Yes | Yes | Yes | No
WIFI Port | Yes | No | Yes | Yes | No | Yes | No | Yes | No
Driver Port | Yes | No | Yes | Yes | No | Yes | No | No | No

BTP-R980

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | Yes
Parallel Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | Yes
USB Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | Yes
Ethernet Port | Yes | No | Yes | Yes | No | Yes | Yes | Yes | Yes
WIFI Port | Yes | No | Yes | Yes | No | Yes | No | Yes | Yes
Driver Port | Yes | No | Yes | Yes | No | Yes | No | No | No

BTP-R990

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes
Parallel Port | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes
USB Port | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes | Yes
Ethernet Port | Yes | Yes | Yes | Yes | No | Yes | Yes | Yes | Yes
WIFI Port | Yes | Yes | Yes | Yes | No | Yes | No | Yes | Yes
Driver Port | Yes | Yes | Yes | Yes | No | Yes | No | No | No

BTP-M170

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | Yes | No | Yes | Yes | No | Yes | Yes | No | No
Parallel Port | Yes | No | Yes | Yes | No | Yes | No | No | No
Driver Port | Yes | No | Yes | Yes | No | Yes | No | No | No

BTP-M270

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | Yes | No | Yes | Yes | No | Yes | Yes | No | No
Parallel Port | Yes | No | Yes | Yes | No | Yes | No | No | No
USB Port | Yes | No | Yes | Yes | No | Yes | Yes | No | No
Ethernet Port | Yes | No | Yes | Yes | No | Yes | Yes | No | No
WIFI Port | Yes | No | Yes | Yes | No | Yes | No | No | No
Driver Port | Yes | No | Yes | Yes | No | Yes | No | No | No

BTP-M180

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | No | No | Yes | Yes | No | Yes | Yes | No | No
Parallel Port | No | No | Yes | Yes | No | Yes | No | No | No
USB Port | No | No | Yes | Yes | No | Yes | Yes | No | No
Driver Port | No | No | Yes | Yes | No | Yes | No | No | No

BTP-M280

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | Yes | No | Yes | Yes | No | Yes | Yes | Yes | No
Parallel Port | Yes | No | Yes | Yes | No | Yes | No | No | No
USB Port | Yes | No | Yes | Yes | No | Yes | Yes | Yes | No
Ethernet Port | Yes | No | Yes | Yes | No | Yes | Yes | Yes | No
WIFI Port | Yes | No | Yes | Yes | No | Yes | No | Yes | No
Driver Port | Yes | No | Yes | Yes | No | Yes | No | No | No

BTP-M300

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | Yes | No | Yes | Yes | No | Yes | Yes | Yes | No
Parallel Port | Yes | No | Yes | Yes | No | Yes | No | No | No
USB Port | Yes | No | Yes | Yes | No | Yes | Yes | Yes | No
Ethernet Port | Yes | No | Yes | Yes | No | Yes | Yes | Yes | No
WIFI Port | Yes | No | Yes | Yes | No | Yes | No | Yes | No
Driver Port | Yes | No | Yes | Yes | No | Yes | No | No | No

BTP-M2000G

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | No | No | Yes | Yes | No | No | No | No | No
Parallel Port | No | No | Yes | Yes | No | No | No | No | No
USB Port | No | No | Yes | Yes | No | No | No | No | No
Driver Port | No | No | Yes | Yes | No | No | No | No | No

BTP-R350

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | Yes | No | Yes | Yes | No | Yes | No | No | No
Parallel Port | Yes | No | Yes | Yes | No | Yes | No | No | No
Driver Port | Yes | No | Yes | Yes | No | Yes | No | No | No

BTP-N58

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | Yes | No | Yes | Yes | No | Yes | No | Yes | No
Parallel Port | Yes | No | Yes | Yes | No | Yes | No | Yes | No
Driver Port | Yes | No | Yes | Yes | No | Yes | No | No | No

BTP-R358

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | Yes | No | Yes | Yes | No | Yes | Yes | No | No
Parallel Port | Yes | No | Yes | Yes | No | Yes | No | No | No
USB Port | Yes | No | Yes | Yes | No | Yes | Yes | No | No
Ethernet Port | Yes | No | Yes | Yes | No | Yes | Yes | No | No
Driver Port | Yes | No | Yes | Yes | No | Yes | No | No | No

BTP-R380

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | Yes | No | Yes | Yes | No | Yes | Yes | Yes | No
Parallel Port | Yes | No | Yes | Yes | No | Yes | Yes | Yes | No
USB Port | Yes | No | Yes | Yes | No | Yes | Yes | Yes | No
Ethernet Port | Yes | No | Yes | Yes | No | Yes | Yes | Yes | No
WIFI Port | Yes | No | Yes | Yes | No | Yes | No | Yes | No
Driver Port | Yes | No | Yes | Yes | No | Yes | No | No | No

BTP-R580

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
Parallel Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
USB Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
Ethernet Port | Yes | No | Yes | Yes | No | Yes | Yes | Yes | No
WIFI Port | Yes | No | Yes | Yes | No | Yes | No | Yes | No
Driver Port | Yes | No | Yes | Yes | No | Yes | No | No | No

BTP-R580II

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
Parallel Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
USB Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
Ethernet Port | Yes | No | Yes | Yes | No | Yes | Yes | Yes | No
WIFI Port | Yes | No | Yes | Yes | No | Yes | No | Yes | No
Driver Port | Yes | No | Yes | Yes | No | Yes | No | No | No

BTP-R680

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
Parallel Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
USB Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
Ethernet Port | Yes | No | Yes | Yes | No | Yes | Yes | Yes | No
WIFI Port | Yes | No | Yes | Yes | No | Yes | No | Yes | No
Driver Port | Yes | No | Yes | Yes | No | Yes | No | No | No

BTP-V88

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
Parallel Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
USB Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
Ethernet Port | Yes | No | Yes | Yes | No | Yes | Yes | Yes | No
WIFI Port | Yes | No | Yes | Yes | No | Yes | No | Yes | No
Driver Port | Yes | No | Yes | Yes | No | Yes | No | No | No

BTP-L580

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
Parallel Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
USB Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
Ethernet Port | Yes | No | Yes | Yes | No | Yes | Yes | Yes | No
WIFI Port | Yes | No | Yes | Yes | No | Yes | No | Yes | No
Driver Port | Yes | No | Yes | Yes | No | Yes | No | No | No

BTP-L580II

Port | Logo | Pre-Defined | Samples | FW Download | Status Monitor | User Command | Code Pages | Eeprom Set | Sound
Serial Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
Parallel Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
USB Port | Yes | No | Yes | Yes | Yes | Yes | Yes | Yes | No
Ethernet Port | Yes | No | Yes | Yes | No | Yes | Yes | Yes | No
WIFI Port | Yes | No | Yes | Yes | No | Yes | No | Yes | No
Driver Port | Yes | No | Yes | Yes | No | Yes | No | No | No


Troubleshoot

Troubleshooting

How to add a program to Exceptions

When use Ethernet port, if open port failed , you can check as the following methods:

  • Whether the printer and the PC have been connected with Ethernet cable correctly.
  • Whether t he parameter of Ethernet port is correctly.
  • Whether your select printer name matches the current Ethernet printer.

If the above condition is ok, the program still open port failed. Please add the Utility.exe program to Exceptions first and try again. The following take Windows XP system for example:

1. Click on menu "Start" - > "Settings" - >"Control Panel".

2. In the Control Panel dialog, double click the application "Windows Firewall" and select "Exceptions".

3. Click "Add Program" button. The browse dialog box will be displayed. Browse to directory in which the Utility.exe is stored, then select it and click "Open" button.

4. The "Utility.exe" has been added to the list, now double click the Utility.exe program and try again.